# PROCESS DEXTER DATA - STAGE 1.

source("../../read.r")
source("../../write.r")
source("../../count.r")

# Read in the data.

read.sparse.integer(nvars=20000)

n.train <- nrow(train.x)
n.valid <- nrow(valid.x)
n.test <- nrow(test.x)
n.all <- n.train+n.valid+n.test

all.x <- rbind(train.x,valid.x,test.x)

# Find some stats.

all.mean <- apply(all.x,2,mean)
all.sd <- apply(all.x,2,sd)

# Count the number of cases in which each feature is non-zero, and produce
# counts of singleton and doubleton features.

count.nonzero()

# Produce trimmed data in which features that are non-zero in 3 or fewer 
# training cases are omitted.

ix.trim <- (1:nvars)[train.n>3]

train.trim <- train.x[,ix.trim]
valid.trim <- valid.x[,ix.trim]
test.trim <- test.x[,ix.trim]

all.trim <- all.x[,ix.trim]

write.ix(ix.trim,"trim")
